<nz-table
  #employeeList
  [nzData]="
    concurrentPositionDTOList?.length > 0 ? concurrentPositionDTOList : [{}]
  "
  [nzPageSize]="concurrentPositionDTOList?.length"
  [nzShowPagination]="false"
>
  <thead>
    <tr>
      <th>{{ 'development.proposed-unit.table.stt' | translate }}</th>
      <th>{{ 'development.existingEmployee.proposeEmployee' | translate }}</th>
      <th>
        {{ 'development.existingEmployee.existingEmpProposePos' | translate }}
      </th>
      <th>{{ 'development.existingEmployee.formGroup' | translate }}</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of employeeList.data; let i = index">
      <td>{{ i + 1 }}</td>
      <td>{{ item?.employee }}</td>
      <td>{{ item?.concurrentEmployee }}</td>
      <td>
        <mb-select
          [(ngModel)]="item.formGroup"
          [mbDataSelects]="listFormGroup"
          mbKeyLabel="name"
          mbKeyValue="id"
          mbPlaceholder="{{
            'development.proposed-unit.table.formGroup' | translate
          }}"
        >
        </mb-select>
      </td>
    </tr>
  </tbody>
</nz-table>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.continue' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
